Debug connector configuration

Validate and debug a connector configuration without storing it

POST
/api/v1/debug/connector

Request Body

application/json

id*string

Unique identifier for this connector. Server-generated when using POST /connectors; when using POST /connectors/{id} the URL path ID takes precedence over this field.

Length1 <= length
source*||||||

Source configuration

sink*|||||||

Sink configuration

buffer?null|
limits?null|
disabled?boolean

Whether this connector is disabled

Defaultfalse
schedule?null|
name?string|null

Display name

Length1 <= length

Response Body

application/json

curl -X POST "https://loading/api/v1/debug/connector" \  -H "Content-Type: application/json" \  -d '{    "id": "string",    "source": {      "postgres": {        "connection": {          "host": "example.com",          "user": "string",          "password": "pa$$word",          "database": "string"        },        "replication_type": {          "logical_replication": {}        }      }    },    "sink": {      "postgres": {        "connection": {          "host": "example.com",          "user": "string",          "password": "pa$$word",          "database": "string"        }      }    }  }'
{
  "id": "string",
  "source": {
    "postgres": {
      "connection": {
        "host": "example.com",
        "port": 5432,
        "user": "string",
        "password": "pa$$word",
        "database": "string",
        "ssl_mode": "Prefer",
        "ssl_cert": "string",
        "ssl_key": "string",
        "ssl_root_cert": "string",
        "max_pool_size": 0,
        "operation_lock_timeout_seconds": 0
      },
      "replication_type": {
        "logical_replication": {
          "retry_window_seconds": 0,
          "skip_snapshots": false
        }
      },
      "parallel_snapshots_enabled": true,
      "partitions_as_root": false,
      "catalog": {}
    }
  },
  "sink": {
    "postgres": {
      "connection": {
        "host": "example.com",
        "port": 5432,
        "user": "string",
        "password": "pa$$word",
        "database": "string",
        "ssl_mode": "Prefer",
        "ssl_cert": "string",
        "ssl_key": "string",
        "ssl_root_cert": "string",
        "max_pool_size": 0,
        "operation_lock_timeout_seconds": 0
      },
      "target_schema": "string",
      "migration_strategy": {}
    }
  },
  "buffer": {},
  "limits": {},
  "disabled": false,
  "schedule": {},
  "name": "string"
}
Empty